maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Boué (JIRA) <j...@apache.org>
Subject [jira] [Created] (MJAVADOC-472) Conflicting dependency of plexus-utils are used
Date Sun, 02 Oct 2016 00:41:20 GMT
Guillaume Boué created MJAVADOC-472:
---------------------------------------

             Summary: Conflicting dependency of plexus-utils are used
                 Key: MJAVADOC-472
                 URL: https://issues.apache.org/jira/browse/MJAVADOC-472
             Project: Maven Javadoc Plugin
          Issue Type: Bug
    Affects Versions: 2.10.4
            Reporter: Guillaume Boué
            Assignee: Guillaume Boué
             Fix For: 3.0.0


Tthe dependency

{noformat}
<dependency>
  <groupId>org.codehaus.plexus</groupId>
  <artifactId>plexus-interactivity-api</artifactId>
  <version>1.0-alpha-4</version>
</dependency>
{noformat}

has a transitive dependency on {{plexus:plexus-utils:1.0.2}} which conflicts with the dependency
on {{org.codehaus.plexus:plexus-utils:3.0.24}} used by the project. Since the group ids are
different, it isn't resolved automatically by Maven.

The dependency {{plexus:plexus-utils}} needs to be excluded from {{plexus-interactivity-api}}
to resolve the conflict. This is only used to get the user input from the {{fix}} mojo, and
that code doesn't use any specific {{plexus-utils}} 1.0.2 API, so it is safe to do.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message